package net.mkonrad.synes.data.instruments;

import javax.vecmath.Point3f;

import net.mkonrad.synes.data.Beat;
import net.mkonrad.synes.data.Layer;
import net.mkonrad.synes.data.SynthInstrument;
import net.mkonrad.synes.data.SynthObj;
import net.mkonrad.synes.gui.elements.instruments.CylinderShape;
import net.mkonrad.synes.gui.elements.instruments.InstrumentShape;
import net.mkonrad.synes.gui.elements.instruments.PentagonShape;
import net.mkonrad.synes.gui.elements.instruments.TriangleShape;
import net.mkonrad.synes.gui.style.Colors;
import net.mkonrad.synes.util.Common3DTools;
import net.mkonrad.synes.util.DbgTools;
import net.mkonrad.synes.util.MusicTools;

public class Stream extends SynthInstrument
{
  public Stream()
  {
    super();
    _name = "synes_stream";
    _iconName = "stream.png";
    _texture = "pentagon.png";
    _color = Colors.purple;
  }
  
  public InstrumentShape createInstrumentShape(SynthObj synthData, Point3f pos)
  {
    return new PentagonShape(synthData, pos);
  }
  
  protected float getYArg(SynthObj synth)
  {
    return MusicTools.getMidiFromYCoord(synth.getInstrumentShape().getAbsPos().y, 2, true);
  }
}
